Classes | Namespaces | Functions
STOFFChart.cxx File Reference
`#include <algorithm>`
`#include <iomanip>`
`#include <iostream>`
`#include <map>`
`#include <sstream>`
`#include <librevenge/librevenge.h>`
`#include "STOFFInputStream.hxx"`
`#include "STOFFListener.hxx"`
`#include "STOFFPosition.hxx"`
`#include "STOFFSpreadsheetListener.hxx"`
`#include "STOFFSubDocument.hxx"`
`#include "STOFFChart.hxx"`

## Classes
class | STOFFChartInternal::SubDocument
| Internal: the subdocument of a STOFFChart. More...

## Namespaces
namespace | STOFFChartInternal
| Internal: the structures of a STOFFChart.

## Functions
std::ostream & | operator<< (std::ostream &o, STOFFChart::Position const &pos)
std::ostream & | operator<< (std::ostream &o, STOFFChart::Axis const &axis)
std::ostream & | operator<< (std::ostream &o, STOFFChart::Legend const &legend)
std::ostream & | operator<< (std::ostream &o, STOFFChart::Serie const &serie)
std::ostream & | operator<< (std::ostream &o, STOFFChart::TextZone const &zone)

## Function Documentation

## ◆ operator<<() [1/5]

std::ostream & operator<< | ( | std::ostream & | o,
|  | STOFFChart::Axis const & | axis )

## ◆ operator<<() [2/5]

std::ostream & operator<< | ( | std::ostream & | o,
|  | STOFFChart::Legend const & | legend )

## ◆ operator<<() [3/5]

std::ostream & operator<< | ( | std::ostream & | o,
|  | STOFFChart::Position const & | pos )

## ◆ operator<<() [4/5]

std::ostream & operator<< | ( | std::ostream & | o,
|  | STOFFChart::Serie const & | serie )

## ◆ operator<<() [5/5]

std::ostream & operator<< | ( | std::ostream & | o,
|  | STOFFChart::TextZone const & | zone )